package es.uv.garcosda.services;

import java.time.LocalDate;
import java.time.format.DateTimeFormatter;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.UUID;
import java.util.stream.Collectors;

import org.springframework.stereotype.Service;

import es.uv.garcosda.domain.Piu;

@Service
public class PiuService {

	List<Piu> pius;
	DateTimeFormatter format = DateTimeFormatter.ofPattern("dd/MM/yyyy");
	
	public PiuService() {	
		
		pius = new ArrayList<Piu>(
		        Arrays.asList(new Piu(UUID.fromString("d62fc52e-5d55-4523-a9fb-fc51c41d5838"), UUID.fromString("f55b674e-4ab6-49d2-9750-bc8defa9b179"), "Aseguraban triunfante apasionada con pedantesca caprichosa luz ver tio. Ama pegar que pan media parir. Escritura aneurisma pre ahi nerviosas. Eso pago cayo celo sofa dice doy. Suaves suenos ma sangre te adonde dejara prensa ve de. Nuevo desde da prosa corte ti su dicho. Pensaba ahi mistico paz cerraba llenase mia dos.", LocalDate.parse("01/01/2023", format)),
		        			  new Piu(UUID.fromString("37d07b08-7d86-4a7c-9562-35e831acee91"), UUID.fromString("88525d07-9ab2-43c2-8f3e-7aae6a16338e"), "Prosaica injurias arrugada el equipaje ya caudillo. Debo pudo jefe un azul luna gris es. Clair mal mia soy dudar renir. Ser aborrecia cubiertas esa suo mas explicase resignado distantes. Hacerme tendido ti el yo recordo. Uno publico entrego vio hombres. Tendencia los miserable hoy eso torrentes.", LocalDate.parse("13/01/2023", format)),
		        			  new Piu(UUID.fromString("b7e48e91-edb6-4f6d-bb50-776024aecdeb"), UUID.fromString("c06ce7bd-c470-4c38-9312-298a59cefee5"), "El de feroces si limites es montana. Muy titubear entonces aquellos arrugada asi. Son confesarse resolverse etc ton apariencia. Ya acaricia el pintados continuo sentaban mi no. Trajes buenas ser pre buscar una manana. Amenazaban no caballeros es si escuchando constituia encontrado prescindir. Rio elocuencia abandonaba distinguir pertenecia tentandole etc. Voz ahi ano seguia formas cundio suegro. Peligro sacudia un oscuros maridos ya. Senoras entraba morirme han agujero acababa don colchon uno.", LocalDate.parse("21/01/2023", format)),
		        			  new Piu(UUID.fromString("092aa12d-18b1-45c3-86d8-05e79ac0d170"), UUID.fromString("c1d4e9e9-7b25-42c6-b93a-4f59820288fd"), "Cuarteto oh asfixiar de ni entrados ha. Integrante si id devolverle taciturnos. Suicidios recababan ve consiguio se. Luz virtud quiero que percha cuando ciudad. Escapar hablaba melopea las acuerdo haberle robusto con dar una. Moribundo carinosos artistica recuerdan mia non. Luz censuraban mar aceptables doscientos hay.", LocalDate.parse("07/01/2023", format)),
		        			  new Piu(UUID.fromString("d22fb992-adbf-430f-97a3-83d77a160103"), UUID.fromString("2d29cb49-074f-473b-bc0a-39e4b64b830e"), "Echaban mudable ya apocado el ha ocurrio. Gesto puedo al galan me. Senoritas maniatico he va inclinaba parientes. Limpios no alcalde varonil en. Sin resbalar politica buscarlo son estetica. Acabara mi lo lejanos apetito su. Quiero dinero esa alamos habana vivian caidas eso mas fin.", LocalDate.parse("03/02/2023", format)),
		        			  new Piu(UUID.fromString("bff53b0c-729b-409a-8d3f-2435eb548e93"), UUID.fromString("d76e3f34-a3ad-480d-82e8-a21f8b72c433"), "Aprension estuviese el de terminada aparejada monisimas estrechar el. Saludar gas uno ano analogo perdida del. Preteritos don confesarse pan fue magistrado mas escondidos. Ultimo id carcel eh primos ch. Dedos nuevo tomar ah culto otros bolsa si. Cambio alarde fue querer debian tio aun tenido. Musico dudoso yo el yo esposo. Desde le vivia il no marco prima. Mar melodia dos ser velando tristes ahi blandas.", LocalDate.parse("05/02/2023", format)),
		        			  new Piu(UUID.fromString("800811f6-04d3-418e-af2c-061aaa6881b1"), UUID.fromString("f55b674e-4ab6-49d2-9750-bc8defa9b179"), "En al escuchando lechuguino superiores. Levitas del conocia espalda calzado una llanura. Ni preterita insultaba infiernos adulterio su. Una temeraria del izquierda castrillo aceptando que. Luz turbo fin color tener miles dos pesos marco. Dejase musica mal fulana pronto tio intima ama botica los. Diarios audacia lirismo fue especie oia cenizas.", LocalDate.parse("12/02/2023", format)),
		        			  new Piu(UUID.fromString("11312f9c-c7a6-46e4-9b3d-22dfbc535014"), UUID.fromString("88525d07-9ab2-43c2-8f3e-7aae6a16338e"), "Iban ello no su fila. Felicisima su se adivinarle prescindir. Por epoca dos nasal una sea colmo. Oia oculto ahi calzon papada contar ese. Salon nasal lados ha en hable. Pan temprano cantaban contesto atencion por dandysmo don uno silencio.", LocalDate.parse("21/01/2023", format)),
		        			  new Piu(UUID.fromString("bf3eccfb-7c64-4a73-a729-5fc06897d7cf"), UUID.fromString("c06ce7bd-c470-4c38-9312-298a59cefee5"), "Vero pura esa algo vio ver seda non gran. Encontro esclavos rio van cobraban los lagrimas martirio. Vientre etc mascaba acabara pre voz despues. Dia asi aun son trompa fueran esposo. Separarse exagerada chi sin alrededor sus disimulos cortesias. Asunto vuelta sin cuarta una los tio regalo. Edificios escandalo separarse remontaba fugitivos ceremonia eso por.", LocalDate.parse("17/01/2023", format)),
		        			  new Piu(UUID.fromString("08b5b1eb-8731-4661-8aa5-3832a91dd5b2"), UUID.fromString("c1d4e9e9-7b25-42c6-b93a-4f59820288fd"), "Encontrado asi deliciosos escondidos maliciosos excelentes luz dio sin. Vano miro celo no de ah se puso moro. Meras buono oir llana una. Diga tome pues el vano lema me yo. Cerrada ma en quinque el oh sonrisa. Cataplasma pie quijotesco van murmuraban uso luz.", LocalDate.parse("02/02/2023", format)),
		        			  new Piu(UUID.fromString("298ea670-1b23-4c4e-9929-b913abc2d99b"), UUID.fromString("2d29cb49-074f-473b-bc0a-39e4b64b830e"), "Atentos enemigo ordenes le te es. Chabacanos existencia la no il la superiores. Bajo sus modo mas hubo tal. Moribundo ha agradaban enfermizo costumbre va. Cerca tanto nuevo por estas padre una plata. Incurrian emociones audiencia en expansion le desdenado ni. De flor ir lire duro oh. Han trampa suerte gastar tenian los amados tiraba.", LocalDate.parse("15/02/2023", format)),
		        			  new Piu(UUID.fromString("1ca4d4e4-de07-4f75-89fb-7044890aa3d2"), UUID.fromString("d76e3f34-a3ad-480d-82e8-a21f8b72c433"), "Esparcidos gorgoritos medianeria oyo influencia entusiasmo son oia luz. Daba vez sano miel con agua. Si alma casa oh opto vale tiro quel. Ve de da trabajador silencioso sacrosanta abofeteado oh atravesado. Muy prometido altamente vio legitimos. Hembras que interes mandaba ton cintura. Pacifico inmortal si temblona politica al molestar.", LocalDate.parse("13/02/2023", format))
		       ));

	}
	
	public List<Piu> findAll() {
		return this.pius;
	}
	
	public Piu findById(UUID id) {
		List<Piu> ps = this.pius.stream().filter(x -> x.getId().equals(id)).collect(Collectors.toList());
		if(ps.size() > 0) {
			return ps.get(0);
		}
		return new Piu();
	}
	
}
