package es.uv.garcosda.domain;

import java.time.LocalDate;
import java.util.UUID;

public class Comment {

	private UUID id;
	private UUID piu_id;
	private UUID user_id;
	private String comment;
	private LocalDate date;
	
	public Comment() {}
	
	public Comment(UUID id, UUID piu_id, UUID user_id, String comment, LocalDate date) {
		this.id = id;
		this.piu_id = piu_id;
		this.user_id = user_id;
		this.comment = comment;
		this.date = date;
	}

	public UUID getId() {
		return id;
	}

	public void setId(UUID id) {
		this.id = id;
	}

	public UUID getPiu_id() {
		return piu_id;
	}

	public void setPiu_id(UUID piu_id) {
		this.piu_id = piu_id;
	}

	public UUID getUser_id() {
		return user_id;
	}

	public void setUser_id(UUID user_id) {
		this.user_id = user_id;
	}

	public String getComment() {
		return comment;
	}

	public void setComment(String comment) {
		this.comment = comment;
	}

	public LocalDate getDate() {
		return date;
	}

	public void setDate(LocalDate date) {
		this.date = date;
	}
	
}
