package es.uv.garcosda.services;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.UUID;
import java.util.stream.Collectors;

import org.springframework.stereotype.Service;

import es.uv.garcosda.domain.User;

@Service
public class UserService {

	private List<User> users;
	
	public UserService() {
		users = new ArrayList<User>(
		        Arrays.asList(new User(UUID.fromString("f55b674e-4ab6-49d2-9750-bc8defa9b179"), "Edith", "Anis"),
		        			  new User(UUID.fromString("88525d07-9ab2-43c2-8f3e-7aae6a16338e"), "Joane", "Flita"),
		        			  new User(UUID.fromString("c06ce7bd-c470-4c38-9312-298a59cefee5"), "Laurene", "Gaulin"),
		        			  new User(UUID.fromString("c1d4e9e9-7b25-42c6-b93a-4f59820288fd"), "Latisha", "Manolo"),
		        			  new User(UUID.fromString("2d29cb49-074f-473b-bc0a-39e4b64b830e"), "Brynna", "Guthrie"),
		        			  new User(UUID.fromString("d76e3f34-a3ad-480d-82e8-a21f8b72c433"), "Fred", "Gualtiero")
		       ));
	}
	
	public List<User> findAll(){
		return this.users;
	}
	
	public User findById(UUID id) {
		List<User> ps = this.users.stream().filter(x -> x.getId().equals(id)).collect(Collectors.toList());
		if(ps.size() > 0) {
			return ps.get(0);
		}
		return new User();
	}
}
